CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-3082

parse-packet.c in GnuPG (gpg) 1.4.3 and 1.9.20, and earlier versions, allows remote attackers to cause a denial of service (gpg crash) and possibly overwrite memory via a message packet with a large length (long user ID string), which could lead to an integer overflow, as demonstrated using the --no-armor option.
Publish Date : 2006-06-19 Last Update Date : 2018-10-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceOverflow
CWE ID 189

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2006-06-19 2006-05-31
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-3082 oval:org.opensuse.security:def:20063082 unix
parse-packet.c in GnuPG (gpg) 1.4.3 and 1.9.20, and earlier versions, allows remote attackers to cause a denial of servi... oval:org.mitre.oval:def:10089 unix
RHSA-2006:0571: gnupg security update (Moderate) oval:com.redhat.rhsa:def:20060571 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-3082

# Product Type Vendor Product Version Update Edition Language
1 Application Gnupg Gnupg 1.4.3 Version Details Vulnerabilities
2 Application Gnupg Gnupg 1.9.20 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Gnupg Gnupg 2

- References For CVE-2006-3082

http://slackware.com/security/viewer.php?l=slackware-security&y=2006&m=slackware-security.457382
SLACKWARE SSA:2006-178-02
https://exchange.xforce.ibmcloud.com/vulnerabilities/27245
XF gnupg-parsepacket-bo(27245)
https://usn.ubuntu.com/304-1/
UBUNTU USN-304-1
http://www.securityfocus.com/bid/18554
BID 18554 GnuPG Parse_User_ID Remote Buffer Overflow Vulnerability Release Date:2007-03-19
http://www.vupen.com/english/advisories/2006/2450
VUPEN ADV-2006-2450
http://www.securityfocus.com/archive/1/438751/100/0/threaded
BUGTRAQ 20060629 rPSA-2006-0120-1 gnupg
http://www.openpkg.com/security/advisories/OpenPKG-SA-2006.010.html
OPENPKG OpenPKG-SA-2006.010
http://www.redhat.com/support/errata/RHSA-2006-0571.html
REDHAT RHSA-2006:0571
http://www.novell.com/linux/security/advisories/2006_18_sr.html
SUSE SUSE-SR:2006:018
http://www.novell.com/linux/security/advisories/2006_38_security.html
SUSE SUSE-SR:2006:015
http://www.mandriva.com/security/advisories?name=MDKSA-2006:110
MANDRIVA MDKSA-2006:110
http://www.debian.org/security/2006/dsa-1115
DEBIAN DSA-1115
http://www.debian.org/security/2006/dsa-1107
DEBIAN DSA-1107
http://support.avaya.com/elmodocs2/security/ASA-2006-167.htm CONFIRM
http://seclists.org/lists/fulldisclosure/2006/May/0789.html
FULLDISC 20060601 Re: GnuPG fun
http://securitytracker.com/id?1016519
SECTRACK 1016519
http://seclists.org/lists/fulldisclosure/2006/May/0782.html
FULLDISC 20060531 RE: GnuPG fun
http://seclists.org/lists/fulldisclosure/2006/May/0774.html
FULLDISC 20060531 GnuPG fun
ftp://patches.sgi.com/support/free/security/advisories/20060701-01-U
SGI 20060701-01-U
http://cvs.gnupg.org/cgi-bin/viewcvs.cgi/trunk/g10/parse-packet.c?rev=4157&r1=4141&r2=4157 CONFIRM

- Metasploit Modules Related To CVE-2006-3082

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.